﻿// Author: Orlys
// Github: https://github.com/Orlys

namespace Yuuna.Contracts.Optimization
{
    using System.Collections.Immutable;

    using Yuuna.Contracts.Patterns;
    using Yuuna.Contracts.Plugins;
    using Yuuna.Contracts.Semantics;

    public interface IScore
    {
        IPattern Pattern { get; } 
        bool IsCompacted { get; }
        IImmutableList<IGroup> Missing { get; }
        PluginBase Owner { get; }
        IImmutableList<IPair> SequentialMatches { get; }
    }
}