﻿// Author: Orlys
// Github: https://github.com/Orlys

namespace Yuuna.Contracts.Optimization
{
    using Yuuna.Contracts.Semantics;

    internal struct Pair : IPair
    {
        public string Key { get; }

        public ISynonym Synonym { get; }

        internal Pair(string key, ISynonym synonym)
        {
            this.Key = key;
            this.Synonym = synonym;
        }
    }
}